Skip to main content
PATCH
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://api.pamhq.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "call.started"
  ],
  "is_active": true
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "events": [
      "call.started"
    ],
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "request_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:pk_live_your_api_key
required

API key provided as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

Webhook ID.

Body

application/json
url
string<uri>
events
enum<string>[]
Minimum array length: 1
Available options:
call.started,
call.ended,
call.analyzed,
sms.message_sent,
sms.message_received,
sms.message_delivery_updated,
sms.tool_call_invocation,
sms.tool_call_result,
contact.opt_out,
contact.opt_in
is_active
boolean

Response

Webhook updated

data
object
meta
object